> ## Documentation Index
> Fetch the complete documentation index at: https://docs.limitguard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Payment

> Verify a PaymentPayload without settling.

Accepts base64-encoded PaymentPayload JSON (same as PAYMENT-SIGNATURE header).
Returns {isValid, payer, invalidReason, ...} without recording or settling.

Used by clients to pre-validate before submitting to the protected endpoint.



## OpenAPI

````yaml /api-reference/openapi.json post /x402/verify
openapi: 3.1.0
info:
  title: LimitGuard.ai
  description: Trust Intelligence API - Entity verification and risk scoring
  version: 0.1.0
servers:
  - url: https://api.limitguard.ai
security: []
paths:
  /x402/verify:
    post:
      tags:
        - x402
      summary: Verify Payment
      description: >-
        Verify a PaymentPayload without settling.


        Accepts base64-encoded PaymentPayload JSON (same as PAYMENT-SIGNATURE
        header).

        Returns {isValid, payer, invalidReason, ...} without recording or
        settling.


        Used by clients to pre-validate before submitting to the protected
        endpoint.
      operationId: verify_payment_x402_verify_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}

````